<?php

if ( ! defined( 'ABSPATH' ) ) {
    exit;
} // Exit if accessed directly

/**
 * Admin panel fields map
 */

$tipcg_optpanel = array(

	array(
		'name' => 'Navigation',
		'type' => 'navigation',
		'item' => array(
			'Countdown_Generator' => esc_html__( 'Countdown generator', 'tip-countdown-generator' ),
			'Import_Export'	=> esc_html__( 'Import/Export', 'tip-countdown-generator' ),
			'Free_vs_Pro'	=> esc_html__( 'Free vs Pro', 'tip-countdown-generator' ),
			TIPCG_SALE_PAGE . "tipcg-panel"	=> esc_html__( 'Upgrade to Premium','tip-countdown-generator'),

		),
		'start' => '<ul>',
		'end'   => '</ul>',
	),

	array(
		'tab'     => 'Countdown_Generator',
		'element' =>

		array(
			'type' => 'start-form',
			'name' => 'Countdown_Generator',
		),

		array(
			'type' => 'start-open-container',
			'name' => esc_html__( 'Countdown generator', 'tip-countdown-generator' ),
		),

		array(
			'name' => esc_html__( 'Countdown generator', 'tip-countdown-generator' ),
			'id'   => 'tipcg_countdowns',
			'data' => 'array',
			'type' => 'countdownGenerator',
			'std'  => '',
		),

		array(
			'type' => 'end-container',
		),

		array(
			'type' => 'end-form',
		),

	),

	array(
		'tab'     => 'Import_Export',
		'element' =>

		array(
			'type' => 'start-form',
			'name' => 'Import_Export',
		),

			array(
				'type' => 'start-open-container',
				'name' => esc_html__( 'Import / Export', 'tip-countdown-generator' ),
			),

				array(
					'name' => esc_html__( 'Import / Export', 'tip-countdown-generator' ),
					'type' => 'import_export',
				),

			array(
				'type' => 'end-container',
			),

		array(
			'type' => 'end-form',
		),

	),

	array(
		'tab'     => 'Free_vs_Pro',
		'element' =>

		array(
			'type' => 'start-form',
			'name' => 'Free_vs_Pro',
		),

			array(
				'type' => 'start-open-container',
				'name' => esc_html__( 'Free vs PRO', 'tip-countdown-generator' ),
			),

				array(
					'name' => esc_html__( 'Free vs PRO', 'tip-countdown-generator' ),
					'type' => 'free_vs_pro',
				),

			array(
				'type' => 'end-container',
			),

		array(
			'type' => 'end-form',
		),

	),

	array(
		'type' => 'end-tab',
	),

);

new tipcg_panel( $tipcg_optpanel );

?>
